%define major		0
%define libname		%mklibname %{name} %{major}
%define libname_html	%mklibname %{name}-html %{major}
%define develname	%mklibname %{name} -d

Name:		md4c
Version:	0.4.7
Release:	%mkrel 1
Summary:	C Markdown parser
License:	GPLv2+
Group:		System/Libraries
URL:		https://github.com/mity/md4c
Source0:	https://github.com/mity/md4c/archive/release-%{version}/%{name}-%{version}.tar.xz

BuildRequires:	cmake

%description
MD4C is C Markdown parser with the following features:

 * Compliance: Generally MD4C aims to be compliant to the latest version of
   CommonMark specification. Right now fully compliant to CommonMark 0.28.

 * Extensions: MD4C supports some commonly requested and accepted extensions.

 * Compactness: MD4C is implemented in one source file and one header file.

 * Embedding: MD4C is easy to reuse in other projects, its API is very
   straightforward: There is actually just one function, md_parse().

 * Push model: MD4C parses the complete document and calls callback functions
   provided by the application for each start/end of block, start/end of a span,
   and with any textual contents.

 * Portability: MD4C builds and works on Windows and Linux, and it should
   be fairly simple to make it run also on most other systems.

 * Encoding: MD4C can be compiled to recognize ASCII-only control characters,
   UTF-8 and, on Windows, also UTF-16, i.e. what is on Windows commonly
   called just "Unicode". See more details below.

 * Permissive license: MD4C is available under the MIT license.

 * Performance: MD4C is very fast.

#------------------------------------------------

%package -n	%{libname}
Summary:	C Markdown parser library
Group:		System/Libraries

%description -n	%{libname}
MD4C is C Markdown parser with the following features:

 * Compliance: Generally MD4C aims to be compliant to the latest version of
   CommonMark specification. Right now fully compliant to CommonMark 0.28.

 * Extensions: MD4C supports some commonly requested and accepted extensions.

 * Compactness: MD4C is implemented in one source file and one header file.

 * Embedding: MD4C is easy to reuse in other projects, its API is very
   straightforward: There is actually just one function, md_parse().

 * Push model: MD4C parses the complete document and calls callback functions
   provided by the application for each start/end of block, start/end of a span,
   and with any textual contents.

 * Portability: MD4C builds and works on Windows and Linux, and it should
   be fairly simple to make it run also on most other systems.

 * Encoding: MD4C can be compiled to recognize ASCII-only control characters,
   UTF-8 and, on Windows, also UTF-16, i.e. what is on Windows commonly
   called just "Unicode". See more details below.

 * Permissive license: MD4C is available under the MIT license.

 * Performance: MD4C is very fast.

#------------------------------------------------

%package -n	%{libname_html}
Summary:	C Markdown parser library
Group:		System/Libraries

%description -n	%{libname_html}
MD4C is C Markdown parser with the following features:

 * Compliance: Generally MD4C aims to be compliant to the latest version of
   CommonMark specification. Right now fully compliant to CommonMark 0.28.

 * Extensions: MD4C supports some commonly requested and accepted extensions.

 * Compactness: MD4C is implemented in one source file and one header file.

 * Embedding: MD4C is easy to reuse in other projects, its API is very
   straightforward: There is actually just one function, md_parse().

 * Push model: MD4C parses the complete document and calls callback functions
   provided by the application for each start/end of block, start/end of a span,
   and with any textual contents.

 * Portability: MD4C builds and works on Windows and Linux, and it should
   be fairly simple to make it run also on most other systems.

 * Encoding: MD4C can be compiled to recognize ASCII-only control characters,
   UTF-8 and, on Windows, also UTF-16, i.e. what is on Windows commonly
   called just "Unicode". See more details below.

 * Permissive license: MD4C is available under the MIT license.

 * Performance: MD4C is very fast.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libname_html} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-html-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%setup -qn %{name}-release-%{version}
%apply_patches

%build
%cmake
%cmake_build

%install
rm -rf %buildroot
%cmake_install

%files
%{_bindir}/md2html
%{_mandir}

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{libname_html}
%{_libdir}/lib%{name}-html.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}.h
%{_includedir}/%{name}-html.h
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}-html.so
%{_libdir}/cmake/md4c/
%{_libdir}/cmake/md4c-html/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-html.pc


%changelog
* Wed Jan 20 2021 tex - 0.4.7-1pclos2021
- create pkg
